| Wheelchair Control for Windows Mobile Diploma Thesis, Author: Ondrej Vozda, FEEC BUT, 2013

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Members

All Classes Namespaces Functions Variables Enumerations Enumerator Properties Pages
Static Public Member Functions | Private Types | Private Member Functions | List of all members
WheelchairControlWM.DevicePowerManagement Class Reference

Class to invoke unmanaged core dlls responsible for device power management. More...

## Static Public Member Functions
static void | ResetIdleTimer ()
| Reset internal system idle timer. Set power on state. More...

## Private Types
enum | powerState : int { POWER_STATE_ON = 0x10000, POWER_STATE_OFF = 0x20000, POWER_STATE_SUSPEND = 0x200000, POWER_FORCE = 4096 }
| Power state codes. More...

## Private Member Functions
static void | SystemIdleTimerReset ()
| Core function to reset system idle timer. More...
static int | SetSystemPowerState (string pwrState, int pwrStateFlags, int options)
| Core funcion to set system power state. More...

## Detailed Description

Class to invoke unmanaged core dlls responsible for device power management.

Definition at line 8 of file DevicePowerManagement.cs.

## Member Enumeration Documentation

enum WheelchairControlWM.DevicePowerManagement.powerState : int
| private

Power state codes.

Enumerator
POWER_STATE_ON | Device on.
POWER_STATE_OFF | Deivce of.
POWER_STATE_SUSPEND | Device suspended (on power button short press).
POWER_FORCE | Flag set to force new power mode regardless of device global settings.

Definition at line 31 of file DevicePowerManagement.cs.

## Member Function Documentation

static void WheelchairControlWM.DevicePowerManagement.ResetIdleTimer | ( |  | ) |
| static

Reset internal system idle timer. Set power on state.

See Also
  powerState

Definition at line 58 of file DevicePowerManagement.cs.

static int WheelchairControlWM.DevicePowerManagement.SetSystemPowerState | ( | string | pwrState,
|  | int | pwrStateFlags,
|  | int | options
| ) |  |
| private

Core funcion to set system power state.

Parameters

  pwrState | Desired power state.
  pwrStateFlags | Power state flasgs.
  options | Misc. options.

Returns
  Status code.

See Also
  powerState

static void WheelchairControlWM.DevicePowerManagement.SystemIdleTimerReset | ( |  | ) |
| private

Core function to reset system idle timer.

The documentation for this class was generated from the following file:

- C:/Users/Ondra/Desktop/Wheelchair Control WM/DevicePowerManagement.cs